PHP Manual
Prev |  | Next

# hash_file

(no version information, might be only in CVS)

hash_file -- Generate a hash value using the contents of a given file

## Description

string hash_file ( string algo, string filename [, bool raw_output] )

## Parameters

`algo`

  Name of selected hashing algorithm (i.e. "md5", "sha256", "haval160,4", etc..)

`filename`

  URL describing location of file to be hashed; Supports fopen wrappers.

`raw_output`

  When set to `TRUE`, outputs raw binary data. Default value (`FALSE`) outputs lowercase hexits.

## Return Values

Returns a string containing the calculated message digest as lowercase hexits unless `raw_output` is set to true in which case the raw binary representation of the message digest is returned.

## Examples

Example 1. Using hash_file()

`<?php /* Create a file to calculate hash of */ file_put_contents('example.txt', 'The quick brown fox jumped over the lazy dog.'); echo hash_file('md5', 'example.txt'); ?>`

The above example will output:

    5c6ffbdd40d9556b73a21e63c3e0e904

## See Also

hash()
hash_hmac_file()
hash_update_file()

Prev | Home | Next
hash_algos | Up | hash_final